#include <bits/stdc++.h> 
using namespace std;
int main()
{
	int N;
	int poz = -1;
    long int L;
    cin>>N>>L;
    long int H [N];
    for(int i =0;i <N;i++)
    {
    	cin>>H[i];
    	if(L>=H[i] &&poz == -1)
		{
			poz=i+1;
		}
	}
	cout<<poz;
}